clang 10.0.0git

Public Types | Public Member Functions | List of all members
clang::CanProxyAdaptor< FunctionProtoType > Struct Template Reference

`#include "clang/AST/CanonicalType.h"`

Inheritance diagram for clang::CanProxyAdaptor< FunctionProtoType >:
[legend]
Collaboration diagram for clang::CanProxyAdaptor< FunctionProtoType >:
[legend]

## Public Types
using | param_type_iterator = CanTypeIterator< FunctionProtoType::param_type_iterator >

## Public Member Functions
| LLVM_CLANG_CANPROXY_SIMPLE_ACCESSOR (ArrayRef< FunctionProtoType::ExtParameterInfo >, getExtParameterInfos) CanQualType getParamType(unsigned i) const
param_type_iterator | param_type_begin () const
param_type_iterator | param_type_end () const
Public Member Functions inherited from clang::CanProxyBase< FunctionProtoType >
const FunctionProtoType * | getTypePtr () const
| Retrieve the pointer to the underlying Type. More...
| operator const FunctionProtoType * () const
| Implicit conversion to the underlying pointer. More...
CanProxy< U > | getAs () const
| Try to convert the given canonical type to a specific structural type. More...
const CanProxyAdaptor< FunctionProtoType > * | operator-> () const
| Retrieve the proxy-adaptor type. More...

## Additional Inherited Members
Protected Attributes inherited from clang::CanProxyBase< FunctionProtoType >
CanQual< FunctionProtoType > | Stored

## Detailed Description

### template<>
struct clang::CanProxyAdaptor< FunctionProtoType >

Definition at line 498 of file CanonicalType.h.

## Member Typedef Documentation

## ◆ param_type_iterator

using clang::CanProxyAdaptor< FunctionProtoType >::param_type_iterator = CanTypeIterator<FunctionProtoType::param_type_iterator>

Definition at line 515 of file CanonicalType.h.

## Member Function Documentation

## ◆ LLVM_CLANG_CANPROXY_SIMPLE_ACCESSOR()

clang::CanProxyAdaptor< FunctionProtoType >::LLVM_CLANG_CANPROXY_SIMPLE_ACCESSOR | ( | ArrayRef< FunctionProtoType::ExtParameterInfo > | ,
|  | getExtParameterInfos |
| ) |  | const
| inline

Definition at line 504 of file CanonicalType.h.

References clang::CanQual< Type >::CreateUnsafe(), getParamType(), clang::CanQual< T >::getTypePtr(), and LLVM_CLANG_CANPROXY_SIMPLE_ACCESSOR.

## ◆ param_type_begin()

param_type_iterator clang::CanProxyAdaptor< FunctionProtoType >::param_type_begin | ( |  | ) | const
| inline

Definition at line 517 of file CanonicalType.h.

References clang::CanQual< T >::getTypePtr().

## ◆ param_type_end()

param_type_iterator clang::CanProxyAdaptor< FunctionProtoType >::param_type_end | ( |  | ) | const
| inline

Definition at line 521 of file CanonicalType.h.

References clang::CanQual< T >::getTypePtr().

The documentation for this struct was generated from the following file:

- include/clang/AST/CanonicalType.h